com.genesyslab.wfm7.API.service.forecast750

## Class FrcStaffingDataObjectives

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast750.FrcStaffingDataObjectives

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcStaffingDataObjectives
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private FrcTemplateData[]` | `abandonTemplate` Abandoned Volume % templates
    `private int` | `abandonTemplateArraySize` Abandoned Volume % templates array size
    `private FrcTemplateData[]` | `ASATemplate` Average Speed of Answer templates
    `private int` | `asaTemplateArraySize` Average Speed of Answer templates array size
    `private FrcTemplateData[]` | `maxOccTemplate` Maximum Occupancy % templates
    `private int` | `maxOccTemplateArraySize` Maximum Occupancy % templates array size
    `private FrcDataObjectives[]` | `objectives` Staffing Objectives
    `private int` | `objectivesArraySize` Objectives array size
    `private FrcTemplateData[]` | `serviceLevelTemplate` Service Level % templates
    `private int` | `SLTemplateArraySize` Service Level % templates array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcStaffingDataObjectives()`
    `FrcStaffingDataObjectives(int objectivesArraySize, FrcDataObjectives[] objectives, int asaTemplateArraySize, FrcTemplateData[] ASATemplate, int maxOccTemplateArraySize, FrcTemplateData[] maxOccTemplate, int SLTemplateArraySize, FrcTemplateData[] serviceLevelTemplate, int abandonTemplateArraySize, FrcTemplateData[] abandonTemplate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `FrcTemplateData[]` | `getAbandonTemplate()` Gets the abandonTemplate value for this FrcStaffingDataObjectives.
    `int` | `getAbandonTemplateArraySize()` Gets the abandonTemplateArraySize value for this FrcStaffingDataObjectives.
    `FrcTemplateData[]` | `getASATemplate()` Gets the ASATemplate value for this FrcStaffingDataObjectives.
    `int` | `getAsaTemplateArraySize()` Gets the asaTemplateArraySize value for this FrcStaffingDataObjectives.
    `FrcTemplateData[]` | `getMaxOccTemplate()` Gets the maxOccTemplate value for this FrcStaffingDataObjectives.
    `int` | `getMaxOccTemplateArraySize()` Gets the maxOccTemplateArraySize value for this FrcStaffingDataObjectives.
    `FrcDataObjectives[]` | `getObjectives()` Gets the objectives value for this FrcStaffingDataObjectives.
    `int` | `getObjectivesArraySize()` Gets the objectivesArraySize value for this FrcStaffingDataObjectives.
    `FrcTemplateData[]` | `getServiceLevelTemplate()` Gets the serviceLevelTemplate value for this FrcStaffingDataObjectives.
    `int` | `getSLTemplateArraySize()` Gets the SLTemplateArraySize value for this FrcStaffingDataObjectives.
    `int` | `hashCode()`
    `void` | `setAbandonTemplate(FrcTemplateData[] abandonTemplate)` Sets the abandonTemplate value for this FrcStaffingDataObjectives.
    `void` | `setAbandonTemplateArraySize(int abandonTemplateArraySize)` Sets the abandonTemplateArraySize value for this FrcStaffingDataObjectives.
    `void` | `setASATemplate(FrcTemplateData[] ASATemplate)` Sets the ASATemplate value for this FrcStaffingDataObjectives.
    `void` | `setAsaTemplateArraySize(int asaTemplateArraySize)` Sets the asaTemplateArraySize value for this FrcStaffingDataObjectives.
    `void` | `setMaxOccTemplate(FrcTemplateData[] maxOccTemplate)` Sets the maxOccTemplate value for this FrcStaffingDataObjectives.
    `void` | `setMaxOccTemplateArraySize(int maxOccTemplateArraySize)` Sets the maxOccTemplateArraySize value for this FrcStaffingDataObjectives.
    `void` | `setObjectives(FrcDataObjectives[] objectives)` Sets the objectives value for this FrcStaffingDataObjectives.
    `void` | `setObjectivesArraySize(int objectivesArraySize)` Sets the objectivesArraySize value for this FrcStaffingDataObjectives.
    `void` | `setServiceLevelTemplate(FrcTemplateData[] serviceLevelTemplate)` Sets the serviceLevelTemplate value for this FrcStaffingDataObjectives.
    `void` | `setSLTemplateArraySize(int SLTemplateArraySize)` Sets the SLTemplateArraySize value for this FrcStaffingDataObjectives.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectivesArraySize

          private int objectivesArraySize

      Objectives array size

    - #### objectives

          private FrcDataObjectives[] objectives

      Staffing Objectives

    - #### asaTemplateArraySize

          private int asaTemplateArraySize

      Average Speed of Answer templates array size

    - #### ASATemplate

          private FrcTemplateData[] ASATemplate

      Average Speed of Answer templates

    - #### maxOccTemplateArraySize

          private int maxOccTemplateArraySize

      Maximum Occupancy % templates array size

    - #### maxOccTemplate

          private FrcTemplateData[] maxOccTemplate

      Maximum Occupancy % templates

    - #### SLTemplateArraySize

          private int SLTemplateArraySize

      Service Level % templates array size

    - #### serviceLevelTemplate

          private FrcTemplateData[] serviceLevelTemplate

      Service Level % templates

    - #### abandonTemplateArraySize

          private int abandonTemplateArraySize

      Abandoned Volume % templates array size

    - #### abandonTemplate

          private FrcTemplateData[] abandonTemplate

      Abandoned Volume % templates

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcStaffingDataObjectives

          public FrcStaffingDataObjectives()

    - #### FrcStaffingDataObjectives

          public FrcStaffingDataObjectives(int objectivesArraySize,
                                   FrcDataObjectives[] objectives,
                                   int asaTemplateArraySize,
                                   FrcTemplateData[] ASATemplate,
                                   int maxOccTemplateArraySize,
                                   FrcTemplateData[] maxOccTemplate,
                                   int SLTemplateArraySize,
                                   FrcTemplateData[] serviceLevelTemplate,
                                   int abandonTemplateArraySize,
                                   FrcTemplateData[] abandonTemplate)

  - ### Method Detail

    - #### getObjectivesArraySize

          public int getObjectivesArraySize()

      Gets the objectivesArraySize value for this FrcStaffingDataObjectives.
      Returns:
        objectivesArraySize

    - #### setObjectivesArraySize

          public void setObjectivesArraySize(int objectivesArraySize)

      Sets the objectivesArraySize value for this FrcStaffingDataObjectives.
      Parameters:
        `objectivesArraySize` -

    - #### getObjectives

          public FrcDataObjectives[] getObjectives()

      Gets the objectives value for this FrcStaffingDataObjectives.
      Returns:
        objectives

    - #### setObjectives

          public void setObjectives(FrcDataObjectives[] objectives)

      Sets the objectives value for this FrcStaffingDataObjectives.
      Parameters:
        `objectives` -

    - #### getAsaTemplateArraySize

          public int getAsaTemplateArraySize()

      Gets the asaTemplateArraySize value for this FrcStaffingDataObjectives.
      Returns:
        asaTemplateArraySize

    - #### setAsaTemplateArraySize

          public void setAsaTemplateArraySize(int asaTemplateArraySize)

      Sets the asaTemplateArraySize value for this FrcStaffingDataObjectives.
      Parameters:
        `asaTemplateArraySize` -

    - #### getASATemplate

          public FrcTemplateData[] getASATemplate()

      Gets the ASATemplate value for this FrcStaffingDataObjectives.
      Returns:
        ASATemplate

    - #### setASATemplate

          public void setASATemplate(FrcTemplateData[] ASATemplate)

      Sets the ASATemplate value for this FrcStaffingDataObjectives.
      Parameters:
        `ASATemplate` -

    - #### getMaxOccTemplateArraySize

          public int getMaxOccTemplateArraySize()

      Gets the maxOccTemplateArraySize value for this FrcStaffingDataObjectives.
      Returns:
        maxOccTemplateArraySize

    - #### setMaxOccTemplateArraySize

          public void setMaxOccTemplateArraySize(int maxOccTemplateArraySize)

      Sets the maxOccTemplateArraySize value for this FrcStaffingDataObjectives.
      Parameters:
        `maxOccTemplateArraySize` -

    - #### getMaxOccTemplate

          public FrcTemplateData[] getMaxOccTemplate()

      Gets the maxOccTemplate value for this FrcStaffingDataObjectives.
      Returns:
        maxOccTemplate

    - #### setMaxOccTemplate

          public void setMaxOccTemplate(FrcTemplateData[] maxOccTemplate)

      Sets the maxOccTemplate value for this FrcStaffingDataObjectives.
      Parameters:
        `maxOccTemplate` -

    - #### getSLTemplateArraySize

          public int getSLTemplateArraySize()

      Gets the SLTemplateArraySize value for this FrcStaffingDataObjectives.
      Returns:
        SLTemplateArraySize

    - #### setSLTemplateArraySize

          public void setSLTemplateArraySize(int SLTemplateArraySize)

      Sets the SLTemplateArraySize value for this FrcStaffingDataObjectives.
      Parameters:
        `SLTemplateArraySize` -

    - #### getServiceLevelTemplate

          public FrcTemplateData[] getServiceLevelTemplate()

      Gets the serviceLevelTemplate value for this FrcStaffingDataObjectives.
      Returns:
        serviceLevelTemplate

    - #### setServiceLevelTemplate

          public void setServiceLevelTemplate(FrcTemplateData[] serviceLevelTemplate)

      Sets the serviceLevelTemplate value for this FrcStaffingDataObjectives.
      Parameters:
        `serviceLevelTemplate` -

    - #### getAbandonTemplateArraySize

          public int getAbandonTemplateArraySize()

      Gets the abandonTemplateArraySize value for this FrcStaffingDataObjectives.
      Returns:
        abandonTemplateArraySize

    - #### setAbandonTemplateArraySize

          public void setAbandonTemplateArraySize(int abandonTemplateArraySize)

      Sets the abandonTemplateArraySize value for this FrcStaffingDataObjectives.
      Parameters:
        `abandonTemplateArraySize` -

    - #### getAbandonTemplate

          public FrcTemplateData[] getAbandonTemplate()

      Gets the abandonTemplate value for this FrcStaffingDataObjectives.
      Returns:
        abandonTemplate

    - #### setAbandonTemplate

          public void setAbandonTemplate(FrcTemplateData[] abandonTemplate)

      Sets the abandonTemplate value for this FrcStaffingDataObjectives.
      Parameters:
        `abandonTemplate` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.